Directories.OnTxnErr (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum Directories.OnTxnErr

- java.lang.Object
- - java.lang.Enum<Directories.OnTxnErr>
  - - org.apache.cassandra.db.Directories.OnTxnErr

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Directories.OnTxnErr>
  Enclosing class:
    Directories

      public static enum Directories.OnTxnErr
      extends java.lang.Enum<Directories.OnTxnErr>

  How to handle a failure to read a txn log file. Note that we will try a few times before giving up.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IGNORE` Ignore the problematic parts of the txn log file
    `THROW` Throw the exception

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Directories.OnTxnErr` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Directories.OnTxnErr[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### THROW

          public static final Directories.OnTxnErr THROW

      Throw the exception

    - #### IGNORE

          public static final Directories.OnTxnErr IGNORE

      Ignore the problematic parts of the txn log file

  - ### Method Detail

    - #### values

          public static Directories.OnTxnErr[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Directories.OnTxnErr c : Directories.OnTxnErr.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Directories.OnTxnErr valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation